Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class ImageCompressionDialog

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.qtcomponents.CompressionDialog
                              |
                              +--quicktime.std.qtcomponents.ImageCompressionDialog

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ImageCompressionDialog
extends CompressionDialog
implements quicktime.jdirect.QuickTimeLib

This class represents the standard compression dialog for images.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`ImageCompressionDialog()` Opens the CompressionDialog component for an Image compression dialog.

Method Summary
`QTImage` | `compressImage(QDGraphics src, QDRect srcRect)` Compresses an image that is sourced by a PixMap from the supplied QDGraphics, returning the compressed data and an image description.
`Pict` | `compressPicture(Pict src)` Compresses a Pict returning a new Pict.
`void` | `compressPictureFile(OpenFile src, OpenFile dest)` Compresses a Pict contained in the src open Pict file into the destination open Pict file.
`SCSequence` | `compressSequenceBegin(QDGraphics src, QDRect srcRect)` Creates a SCSequence object to begin compression of a sequence of images.
`void` | `defaultPictFileSettings(OpenFile src, boolean motion)` Allows you to derive default compression settings for an image that is stored in a Pict File.
`void` | `defaultPictSettings(Pict src, boolean motion)` Allows you to derive default compression settings for an image that is stored in a Pict.
`void` | `defaultPixMapSettings(PixMap src, boolean motion)` Allows you to derive default compression settings for an image that is stored in a pixel map.
`int` | `getCompressFlags()` Gets the compression flags.
`ColorTable` | `getInfoColorTable()` Gets the current color table or null to clear the current color table for a dialog.
`DataRateSettings` | `getInfoDataRateSettings()` Gets the current data rate settings for a dialog.
`SpatialSettings` | `getInfoSpatialSettings()` Gets the current spatial settings for a dialog.
`TemporalSettings` | `getInfoTemporalSettings()` Gets the current temporal settings for a dialog.
`QDGraphics` | `newGWorld(QDRect rp, int flags)` Creates an offscreen QDGraphics based on the current compression settings.
`void` | `requestImageSettings()` Displays the standard dialog box to the user for a single image or for sound.
`void` | `requestSequenceSettings()` Displays the standard dialog box to the user for a sequence of images.
`void` | `setCompressFlags(int flags)` Sets the compression flags.
`void` | `setInfoColorTable(ColorTable ctab)` Sets the current color table or null to clear the current color table for a dialog.
`void` | `setInfoDataRateSettings(DataRateSettings settings)` Sets the current data rate settings for a dialog.
`void` | `setInfoSpatialSettings(SpatialSettings settings)` Sets the current spatial settings for a dialog.
`void` | `setInfoTemporalSettings(TemporalSettings settings)` Sets the current temporal settings for a dialog.
`void` | `setTestImagePict(Pict testPict, QDRect testRect, int testFlags)` Sets the dialog box's test image from a Pict.
`void` | `setTestImagePictFile(OpenFile testPict, QDRect testRect, int testFlags)` Sets the dialog box's test image from a Pict file.
`void` | `setTestImagePixMap(PixMap testPixMap, QDRect testRect, int testFlags)` Sets the dialog box's test image from a PixMap.

Methods inherited from class quicktime.std.qtcomponents.CompressionDialog
`getInfoPreferences, getInfoState, getSettings, requestSettings, setInfoPreferences, setInfoState, setInfoState, setSettings`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageCompressionDialog

    public ImageCompressionDialog()
                           throws QTException

  Opens the CompressionDialog component for an Image compression dialog.

Method Detail

### defaultPixMapSettings

    public void defaultPixMapSettings(PixMap src,
                                      boolean motion)
                               throws StdQTException

  Allows you to derive default compression settings for an image that is stored in a pixel map.
  QuickTime::SCDefaultPixMapSettings()

  Parameters:
    `src` - the pix map to be analyzed
    `motion` - set to true if the image is part of a sequence, false if a single image

### defaultPictSettings

    public void defaultPictSettings(Pict src,
                                    boolean motion)
                             throws StdQTException

  Allows you to derive default compression settings for an image that is stored in a Pict.
  QuickTime::SCDefaultPictHandleSettings()

  Parameters:
    `src` - the Pict to be analyzed
    `motion` - set to true if the image is part of a sequence, false if a single image

### defaultPictFileSettings

    public void defaultPictFileSettings(OpenFile src,
                                        boolean motion)
                                 throws StdQTException

  Allows you to derive default compression settings for an image that is stored in a Pict File.
  QuickTime::SCDefaultPictFileSettings()

  Parameters:
    `src` - the Pict file to be analyzed
    `motion` - set to true if the image is part of a sequence, false if a single image

### requestImageSettings

    public void requestImageSettings()
                              throws StdQTException

  Displays the standard dialog box to the user for a single image or for sound.
  QuickTime::SCRequestImageSettings()

### requestSequenceSettings

    public void requestSequenceSettings()
                                 throws StdQTException

  Displays the standard dialog box to the user for a sequence of images.
  QuickTime::SCRequestSequenceSettings()

### compressImage

    public QTImage compressImage(QDGraphics src,
                                 QDRect srcRect)
                          throws QTException

  Compresses an image that is sourced by a PixMap from the supplied QDGraphics, returning the compressed data and an image description.
  QuickTime::SCCompressImage()

  Parameters:
    `src` - the source PixMap is retrieved from the supplied QDGraphics.
    `srcRect` - you can specify to compress just a part of the pix map by specifying a rectangle - or pass in null to compress the entire pix map.
  Returns:
    an image data object.

### compressPicture

    public Pict compressPicture(Pict src)
                         throws QTException

  Compresses a Pict returning a new Pict.
  QuickTime::SCCompressPicture()

  Parameters:
    `src` - the source Pict.
  Returns:
    a Pict

### compressPictureFile

    public void compressPictureFile(OpenFile src,
                                    OpenFile dest)
                             throws QTException

  Compresses a Pict contained in the src open Pict file into the destination open Pict file.
  QuickTime::SCCompressPictureFile()

  Parameters:
    `src` - the source Pict File.
    `dest` - the destination Pict File.

### compressSequenceBegin

    public SCSequence compressSequenceBegin(QDGraphics src,
                                            QDRect srcRect)
                                     throws QTException

  Creates a SCSequence object to begin compression of a sequence of images.
  QuickTime::SCCompressSequenceBegin()

  Parameters:
    `src` - the source image
    `srcRect` - which part of the source to compress or null for the entire image.
  Returns:
    a SCSequence object

### setInfoSpatialSettings

    public void setInfoSpatialSettings(SpatialSettings settings)
                                throws StdQTException

  Sets the current spatial settings for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `settings` - the new spatial settings

### getInfoSpatialSettings

    public SpatialSettings getInfoSpatialSettings()
                                           throws StdQTException

  Gets the current spatial settings for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the new spatial settings

### setInfoTemporalSettings

    public void setInfoTemporalSettings(TemporalSettings settings)
                                 throws StdQTException

  Sets the current temporal settings for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `settings` - the new temporal settings

### getInfoTemporalSettings

    public TemporalSettings getInfoTemporalSettings()
                                             throws StdQTException

  Gets the current temporal settings for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the new temporal settings

### setInfoDataRateSettings

    public void setInfoDataRateSettings(DataRateSettings settings)
                                 throws StdQTException

  Sets the current data rate settings for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `settings` - the new data rate settings

### getInfoDataRateSettings

    public DataRateSettings getInfoDataRateSettings()
                                             throws StdQTException

  Gets the current data rate settings for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the new data rate settings

### setInfoColorTable

    public void setInfoColorTable(ColorTable ctab)
                           throws StdQTException

  Sets the current color table or null to clear the current color table for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `ctab` - the new color table

### getInfoColorTable

    public ColorTable getInfoColorTable()
                                 throws QTException

  Gets the current color table or null to clear the current color table for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the current color table or null if no color table being used.

### setTestImagePict

    public void setTestImagePict(Pict testPict,
                                 QDRect testRect,
                                 int testFlags)
                          throws StdQTException

  Sets the dialog box's test image from a Pict.
  QuickTime::SCSetTestImagePictHandle()

  Parameters:
    `testPict` - the new test image
    `testRect` - the area of interest to display or null for the entire picture
    `testFlags` - controls how the dialog display's the image

### setTestImagePictFile

    public void setTestImagePictFile(OpenFile testPict,
                                     QDRect testRect,
                                     int testFlags)
                              throws StdQTException

  Sets the dialog box's test image from a Pict file.
  QuickTime::SCSetTestImagePictFile()

  Parameters:
    `testPict` - the new test image sourced from an open Pict file.
    `testRect` - the area of interest to display or null for the entire picture
    `testFlags` - controls how the dialog display's the image

### setTestImagePixMap

    public void setTestImagePixMap(PixMap testPixMap,
                                   QDRect testRect,
                                   int testFlags)
                            throws StdQTException

  Sets the dialog box's test image from a PixMap.
  QuickTime::SCSetTestImagePixMap()

  Parameters:
    `testPixMap` - the new test image
    `testRect` - the area of interest to display or null for the entire picture
    `testFlags` - controls how the dialog display's the image

### newGWorld

    public QDGraphics newGWorld(QDRect rp,
                                int flags)
                         throws QTException

  Creates an offscreen QDGraphics based on the current compression settings.
  QuickTime::SCNewGWorld()

  Parameters:
    `rp` - the boundaries of the graphics world.
    `flags` - flags as specified to NewGWorld.
  Returns:
    a QDGraphics object

### setCompressFlags

    public void setCompressFlags(int flags)
                          throws StdQTException

  Sets the compression flags.
  QuickTime::SCSetCompressFlags()

  Parameters:
    `flags` - the new flags

### getCompressFlags

    public int getCompressFlags()
                         throws StdQTException

  Gets the compression flags.
  QuickTime::SCGetCompressFlags()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD